Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.net
Class DiscardUDPClient

    java.lang.Object
      |
      +--org.apache.commons.net.DatagramSocketClient
            |
            +--org.apache.commons.net.DiscardUDPClient

Direct Known Subclasses:
  EchoUDPClient

public class DiscardUDPClient
extends DatagramSocketClient

The DiscardUDPClient class is a UDP implementation of a client for the Discard protocol described in RFC 863. To use the class, just open a local UDP port with open and call send to send datagrams to the server After you're done sending discard data, call close() to clean up properly.

Author:
  Daniel F. Savarese
See Also:
  `DiscardTCPClient`

Field Summary
`static int` | `DEFAULT_PORT` The default discard port.

Fields inherited from class org.apache.commons.net.DatagramSocketClient
`_isOpen_, _socket_, _socketFactory_, _timeout_`

Constructor Summary
`DiscardUDPClient()`

Method Summary
`void` | `send(byte[] data, java.net.InetAddress host)` Same as `send(data, data.length, host.`
`void` | `send(byte[] data, int length, java.net.InetAddress host)` Same as `send(data, length, host.`
`void` | `send(byte[] data, int length, java.net.InetAddress host, int port)` Sends the specified data to the specified server at the specified port.

Methods inherited from class org.apache.commons.net.DatagramSocketClient
`close, getDefaultTimeout, getLocalAddress, getLocalPort, getSoTimeout, isOpen, open, open, open, setDatagramSocketFactory, setDefaultTimeout, setSoTimeout`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DEFAULT_PORT

    public static final int DEFAULT_PORT

  The default discard port. It is set to 9 according to RFC 863.

  See Also:
    Constant Field Values

Constructor Detail

### DiscardUDPClient

    public DiscardUDPClient()

Method Detail

### send

    public void send(byte[] data,
                     int length,
                     java.net.InetAddress host,
                     int port)
              throws java.io.IOException

  Sends the specified data to the specified server at the specified port.

  Parameters:
    `data` - The discard data to send.
    `length` - The length of the data to send. Should be less than or equal to the length of the data byte array.
    `host` - The address of the server.
    `port` - The service port.
  Throws:
    `java.io.IOException` - If an error occurs during the datagram send operation.

### send

    public void send(byte[] data,
                     int length,
                     java.net.InetAddress host)
              throws java.io.IOException

  Same as `send(data, length, host. DiscardUDPClient.DEFAULT_PORT)`.

    `java.io.IOException`

### send

    public void send(byte[] data,
                     java.net.InetAddress host)
              throws java.io.IOException

  Same as `send(data, data.length, host. DiscardUDPClient.DEFAULT_PORT)`.

    `java.io.IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1997-2003 Apache Software Foundation. All Rights Reserved.